Upstream information

CVE-2022-3602 at MITRE

Description

A buffer overrun can be triggered in X.509 certificate verification, specifically in name constraint checking. Note that this occurs after certificate chain signature verification and requires either a CA to have signed the malicious certificate or for the application to continue certificate verification despite failure to construct a path to a trusted issuer. An attacker can craft a malicious email address to overflow four attacker-controlled bytes on the stack. This buffer overflow could result in a crash (causing a denial of service) or potentially remote code execution. Many platforms implement stack overflow protections which would mitigate against the risk of remote code execution. The risk may be further mitigated based on stack layout for any given platform/compiler. Pre-announcements of CVE-2022-3602 described this issue as CRITICAL. Further analysis based on some of the mitigating factors described above have led this to be downgraded to HIGH. Users are still encouraged to upgrade to a new version as soon as possible. In a TLS client, this can be triggered by connecting to a malicious server. In a TLS server, this can be triggered if the server requests client authentication and a malicious client connects. Fixed in OpenSSL 3.0.7 (Affected 3.0.0,3.0.1,3.0.2,3.0.3,3.0.4,3.0.5,3.0.6).

Upstream Security Advisories:

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 8.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact None High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1204714 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libopenssl-3-devel >= 3.0.1-150400.4.11.1
  • libopenssl3 >= 3.0.1-150400.4.11.1
  • openssl-3 >= 3.0.1-150400.4.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3843
openSUSE Leap 15.4
  • libopenssl-3-devel >= 3.0.1-150400.4.11.1
  • libopenssl-3-devel-32bit >= 3.0.1-150400.4.11.1
  • libopenssl3 >= 3.0.1-150400.4.11.1
  • libopenssl3-32bit >= 3.0.1-150400.4.11.1
  • openssl-3 >= 3.0.1-150400.4.11.1
  • openssl-3-doc >= 3.0.1-150400.4.11.1
Patchnames:
openSUSE-SLE-15.4-2022-3843
openSUSE Tumbleweed
  • cargo-audit-advisory-db >= 20221102-1.1
  • libopenssl-3-devel >= 3.0.7-1.1
  • libopenssl-3-devel-32bit >= 3.0.7-1.1
  • libopenssl3 >= 3.0.7-1.1
  • libopenssl3-32bit >= 3.0.7-1.1
  • openssl-3 >= 3.0.7-1.1
  • openssl-3-doc >= 3.0.7-1.1
  • python310-cryptography >= 38.0.3-1.1
  • python310-cryptography-vectors >= 38.0.3-1.1
  • python38-cryptography >= 38.0.3-1.1
  • python38-cryptography-vectors >= 38.0.3-1.1
  • python39-cryptography >= 38.0.3-1.1
  • python39-cryptography-vectors >= 38.0.3-1.1
Patchnames:
openSUSE Tumbleweed GA cargo-audit-advisory-db-20221102-1.1
openSUSE Tumbleweed GA libopenssl-3-devel-3.0.7-1.1
openSUSE Tumbleweed GA python310-cryptography-38.0.3-1.1
openSUSE Tumbleweed GA python310-cryptography-vectors-38.0.3-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 openssl Not affected
SLES15-EC2-CHOST-HVM-BYOS openssl Not affected
SLES15-EC2-CHOST-HVM-BYOS openssl-1_1 Not affected
SLES15-SP1-CHOST-BYOS-Azure openssl Not affected
SLES15-SP1-CHOST-BYOS-Azure openssl-1_1 Not affected
SLES15-SP1-CHOST-BYOS-EC2 openssl Not affected
SLES15-SP1-CHOST-BYOS-EC2 openssl-1_1 Not affected
SLES15-SP1-CHOST-BYOS-GCE openssl Not affected
SLES15-SP1-CHOST-BYOS-GCE openssl-1_1 Not affected
SLES15-SP2-CHOST-BYOS-Aliyun openssl Not affected
SLES15-SP2-CHOST-BYOS-Aliyun openssl-1_1 Not affected
SLES15-SP2-CHOST-BYOS-Azure openssl Not affected
SLES15-SP2-CHOST-BYOS-Azure openssl-1_1 Not affected
SLES15-SP2-CHOST-BYOS-EC2 openssl Not affected
SLES15-SP2-CHOST-BYOS-EC2 openssl-1_1 Not affected
SLES15-SP2-CHOST-BYOS-GCE openssl Not affected
SLES15-SP2-CHOST-BYOS-GCE openssl-1_1 Not affected
SLES15-SP3-CHOST-BYOS-Aliyun openssl-1_1 Not affected
SLES15-SP3-CHOST-BYOS-Azure openssl Not affected
SLES15-SP3-CHOST-BYOS-Azure openssl-1_1 Not affected
SLES15-SP3-CHOST-BYOS-EC2 openssl-1_1 Not affected
SLES15-SP3-CHOST-BYOS-GCE openssl-1_1 Not affected
SLES15-SP4-CHOST-BYOS openssl-1_1 Not affected
SLES15-SP4-CHOST-BYOS-Aliyun openssl-1_1 Not affected
SLES15-SP4-CHOST-BYOS-Azure openssl Not affected
SLES15-SP4-CHOST-BYOS-Azure openssl-1_1 Not affected
SLES15-SP4-CHOST-BYOS-EC2 openssl-1_1 Not affected
SLES15-SP4-CHOST-BYOS-GCE openssl-1_1 Not affected
SUSE CaaS Platform 3.0 openssl Not affected
SUSE CaaS Platform 4.0 openssl Not affected
SUSE CaaS Platform 4.0 openssl-1_0_0 Not affected
SUSE CaaS Platform 4.0 openssl-1_1 Not affected
SUSE Enterprise Storage 6 openssl Not affected
SUSE Enterprise Storage 6 openssl-1_0_0 Not affected
SUSE Enterprise Storage 6 openssl-1_1 Not affected
SUSE Enterprise Storage 7 openssl Not affected
SUSE Enterprise Storage 7 openssl-1_0_0 Not affected
SUSE Enterprise Storage 7 openssl-1_1 Not affected
SUSE Enterprise Storage 7.1 openssl Not affected
SUSE Enterprise Storage 7.1 openssl-1_0_0 Not affected
SUSE Enterprise Storage 7.1 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 11 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 12 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP1 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP2 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP2 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP3 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP3 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP4 compat-openssl098 Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 openssl Not affected
SUSE Linux Enterprise Desktop 15 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 SP1 openssl Not affected
SUSE Linux Enterprise Desktop 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 SP2 openssl Not affected
SUSE Linux Enterprise Desktop 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 SP3 openssl Not affected
SUSE Linux Enterprise Desktop 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 15 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Desktop 15 SP4 openssl-3 Released
SUSE Linux Enterprise High Performance Computing 12 compat-openssl098 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openssl Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 15 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssl-1_1-livepatches Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openssl-3 Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS openssl-1_1 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openssl Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise Live Patching 15 SP4 openssl-1_1-livepatches Not affected
SUSE Linux Enterprise Micro 5.0 openssl Not affected
SUSE Linux Enterprise Micro 5.0 openssl-1_1 Not affected
SUSE Linux Enterprise Micro 5.1 openssl Not affected
SUSE Linux Enterprise Micro 5.1 openssl-1_1 Not affected
SUSE Linux Enterprise Micro 5.2 openssl Not affected
SUSE Linux Enterprise Micro 5.2 openssl-1_1 Not affected
SUSE Linux Enterprise Micro 5.3 openssl Not affected
SUSE Linux Enterprise Micro 5.3 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 openssl-3 Released
SUSE Linux Enterprise Module for Certifications 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Module for Legacy 12 compat-openssl098 Not affected
SUSE Linux Enterprise Module for Legacy 15 openssl-1_0_0 Not affected
SUSE Linux Enterprise Module for Legacy 15 SP1 openssl-1_0_0 Not affected
SUSE Linux Enterprise Module for Legacy 15 SP2 openssl-1_0_0 Not affected
SUSE Linux Enterprise Module for Legacy 15 SP3 openssl-1_0_0 Not affected
SUSE Linux Enterprise Module for Legacy 15 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Module for Live Patching 15 SP4 openssl-1_1-livepatches Not affected
SUSE Linux Enterprise Real Time 15 SP2 openssl Not affected
SUSE Linux Enterprise Real Time 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Real Time 15 SP3 openssl Not affected
SUSE Linux Enterprise Real Time 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Server 11 SP3 openssl Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS openssl Not affected
SUSE Linux Enterprise Server 11 SP4 openssl Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS openssl Not affected
SUSE Linux Enterprise Server 12 compat-openssl098 Not affected
SUSE Linux Enterprise Server 12 SP2 openssl Not affected
SUSE Linux Enterprise Server 12 SP2-BCL openssl Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS openssl Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS openssl Not affected
SUSE Linux Enterprise Server 12 SP3 compat-openssl098 Not affected
SUSE Linux Enterprise Server 12 SP3 openssl Not affected
SUSE Linux Enterprise Server 12 SP3-BCL openssl Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS openssl Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS openssl Not affected
SUSE Linux Enterprise Server 12 SP4 compat-openssl098 Not affected
SUSE Linux Enterprise Server 12 SP4 openssl Not affected
SUSE Linux Enterprise Server 12 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 12 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openssl Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openssl-1_1 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS openssl Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise Server 12 SP5 compat-openssl098 Not affected
SUSE Linux Enterprise Server 12 SP5 openssl Not affected
SUSE Linux Enterprise Server 12 SP5 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 12 SP5 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 openssl Not affected
SUSE Linux Enterprise Server 15 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP1 openssl Not affected
SUSE Linux Enterprise Server 15 SP1 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL openssl Not affected
SUSE Linux Enterprise Server 15 SP1-BCL openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS openssl Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP2 openssl Not affected
SUSE Linux Enterprise Server 15 SP2 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL openssl Not affected
SUSE Linux Enterprise Server 15 SP2-BCL openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS openssl Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP3 openssl Not affected
SUSE Linux Enterprise Server 15 SP3 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP4 openssl Not affected
SUSE Linux Enterprise Server 15 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Server 15 SP4 openssl-1_1-livepatches Not affected
SUSE Linux Enterprise Server 15 SP4 openssl-3 Released
SUSE Linux Enterprise Server 15-ESPOS openssl Not affected
SUSE Linux Enterprise Server 15-ESPOS openssl-1_1 Not affected
SUSE Linux Enterprise Server 15-LTSS openssl Not affected
SUSE Linux Enterprise Server 15-LTSS openssl-1_0_0 Not affected
SUSE Linux Enterprise Server 15-LTSS openssl-1_1 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openssl Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openssl Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 compat-openssl098 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssl-1_1-livepatches Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openssl-3 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 openssl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 openssl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 openssl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 openssl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 openssl-1_0_0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 openssl-1_1 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 openssl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 openssl-1_0_0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 openssl-1_1 Not affected
SUSE Manager Proxy 4.0 openssl Not affected
SUSE Manager Proxy 4.0 openssl-1_0_0 Not affected
SUSE Manager Proxy 4.0 openssl-1_1 Not affected
SUSE Manager Proxy 4.1 openssl Not affected
SUSE Manager Proxy 4.1 openssl-1_0_0 Not affected
SUSE Manager Proxy 4.1 openssl-1_1 Not affected
SUSE Manager Proxy 4.2 openssl Not affected
SUSE Manager Proxy 4.2 openssl-1_0_0 Not affected
SUSE Manager Proxy 4.2 openssl-1_1 Not affected
SUSE Manager Proxy 4.3 openssl Not affected
SUSE Manager Proxy 4.3 openssl-1_0_0 Not affected
SUSE Manager Proxy 4.3 openssl-1_1 Not affected
SUSE Manager Proxy 4.3 openssl-3 Released
SUSE Manager Retail Branch Server 4.0 openssl Not affected
SUSE Manager Retail Branch Server 4.0 openssl-1_0_0 Not affected
SUSE Manager Retail Branch Server 4.0 openssl-1_1 Not affected
SUSE Manager Retail Branch Server 4.1 openssl Not affected
SUSE Manager Retail Branch Server 4.1 openssl-1_0_0 Not affected
SUSE Manager Retail Branch Server 4.1 openssl-1_1 Not affected
SUSE Manager Retail Branch Server 4.2 openssl Not affected
SUSE Manager Retail Branch Server 4.2 openssl-1_0_0 Not affected
SUSE Manager Retail Branch Server 4.2 openssl-1_1 Not affected
SUSE Manager Retail Branch Server 4.3 openssl Not affected
SUSE Manager Retail Branch Server 4.3 openssl-1_0_0 Not affected
SUSE Manager Retail Branch Server 4.3 openssl-1_1 Not affected
SUSE Manager Retail Branch Server 4.3 openssl-3 Released
SUSE Manager Server 4.0 openssl Not affected
SUSE Manager Server 4.0 openssl-1_0_0 Not affected
SUSE Manager Server 4.0 openssl-1_1 Not affected
SUSE Manager Server 4.1 openssl Not affected
SUSE Manager Server 4.1 openssl-1_0_0 Not affected
SUSE Manager Server 4.1 openssl-1_1 Not affected
SUSE Manager Server 4.2 openssl Not affected
SUSE Manager Server 4.2 openssl-1_0_0 Not affected
SUSE Manager Server 4.2 openssl-1_1 Not affected
SUSE Manager Server 4.3 openssl Not affected
SUSE Manager Server 4.3 openssl-1_0_0 Not affected
SUSE Manager Server 4.3 openssl-1_1 Not affected
SUSE Manager Server 4.3 openssl-3 Released
SUSE OpenStack Cloud 7 openssl Not affected
SUSE OpenStack Cloud 8 openssl Not affected
SUSE OpenStack Cloud 9 openssl Not affected
SUSE OpenStack Cloud 9 openssl-1_0_0 Not affected
SUSE OpenStack Cloud 9 openssl-1_1 Not affected
SUSE OpenStack Cloud Crowbar 8 openssl Not affected
SUSE OpenStack Cloud Crowbar 9 openssl Not affected
SUSE OpenStack Cloud Crowbar 9 openssl-1_0_0 Not affected
SUSE OpenStack Cloud Crowbar 9 openssl-1_1 Not affected
suse/sles12sp4
suse/sles12sp5
openssl-1_0_0Not affected
bci/bci-init:15.3
bci/golang
bci/golang:1.16
bci/golang:1.17
bci/node:12
bci/node:14
bci/nodejs
bci/openjdk
bci/openjdk-devel
bci/openjdk-devel:11
bci/openjdk-devel:17
bci/openjdk:17
bci/python
bci/python:3
bci/ruby
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7.1/ceph/grafana
ses/7.1/ceph/haproxy
ses/7.1/ceph/keepalived
ses/7.1/ceph/prometheus-alertmanager
ses/7.1/ceph/prometheus-node-exporter
ses/7.1/ceph/prometheus-server
ses/7.1/ceph/prometheus-snmp_notifier
ses/7.1/cephcsi/cephcsi
ses/7.1/cephcsi/csi-attacher:v3.5.0
ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.1
ses/7.1/cephcsi/csi-provisioner:v3.2.1
ses/7.1/cephcsi/csi-resizer:v1.5.0
ses/7.1/cephcsi/csi-snapshotter:v6.0.1
ses/7.1/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/389-ds
suse/manager/4.3/proxy-salt-broker
suse/manager/4.3/proxy-tftpd
suse/registry
suse/sle-micro-rancher/5.2
suse/sle-micro-rancher/5.3
suse/sle-micro/5.0/toolbox
suse/sle-micro/5.1/toolbox
suse/sle-micro/5.2/toolbox
suse/sle-micro/5.3/toolbox
suse/sle-micro/5.4/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sle15:15.3
suse/sle15:15.4
trento/trento-runner
openssl-1_1Not affected
openSUSE Leap openssl-3Released
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/389-ds
suse/sle-micro-rancher/5.2
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
opensslNot affected


SUSE Timeline for this CVE

CVE page created: Tue Oct 25 16:57:51 2022
CVE page last modified: Thu Dec 1 12:57:03 2022